# Endpoints for Zapier

## Get feedback

<mark style="color:blue;">`GET`</mark> `https://admin.api.getacute.io/zapier/cards`&#x20;

Get all feedback cards.

#### Headers

| Name           | Type   | Description           |
| -------------- | ------ | --------------------- |
| Authentication | string | Authentication token. |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```
{    
    "createdAt": "2020-05-14T13:43:07.037Z",
    "title": "feedback title",
    "body": "feedback body",
    "state": "req",
    "votes": 1,
    "id": "1234",
    "comments": 0,
    "author": {
        "avatarURL": "https://getacute.io/image.png",
        "fullName": "Author Name",
        "id": "1234"
    },
    "url": "https://app.getacute.io/feedback/1234",
    "intercomConversationUrl": "https://app.intercom.com/a/apps/app_id/inbox/inbox/conversation/1234"
}
```

{% endtab %}
{% endtabs %}

## Get conversations

<mark style="color:blue;">`GET`</mark> `https://admin.api.getacute.io/zapier/conversations`  &#x20;

Get all feedback conversations.

#### Headers

| Name           | Type   | Description           |
| -------------- | ------ | --------------------- |
| Authentication | string | Authentication token. |

{% tabs %}
{% tab title="200 " %}

```
{
    "createdAt": "2020-05-15T08:22:54.682Z",
    "body": "<p>Conversation details....</p>",
    "id": "1234",
    "author": {
      "avatarURL": "https://getacute.io/image.png",
      "fullName": "Author Name",
      "id": "1234"
    },
    "feedback": {
        "title": "feedback title",
        "body": "feedback body",
        "id": "1234",
        "githubIssueNumber": "10"
    },
    "url": "https://app.getacute.io/feedback/1234",
    "intercomConversationUrl": "https://app.intercom.com/a/apps/app_id/inbox/inbox/conversation/1234"
}
```

{% endtab %}
{% endtabs %}

## Create Intercom tag

<mark style="color:green;">`POST`</mark> `https://admin.api.getacute.io/intercom/cards/create-tag` &#x20;

Create Intercom tag for feedback card.

#### Headers

| Name           | Type   | Description           |
| -------------- | ------ | --------------------- |
| Authentication | string | Authentication token. |

#### Request Body

| Name | Type   | Description       |
| ---- | ------ | ----------------- |
| id   | string | Feedback card id. |

{% tabs %}
{% tab title="200 " %}

```
{
    "tag": {
        "type": "tag",
        "id": "1234",
        "name": "acute - feedback title",
    }
}
```

{% endtab %}
{% endtabs %}

## Add Github issue to feedback card

<mark style="color:green;">`POST`</mark> `https://admin.api.getacute.io/zapier/cards/add-github-issue`&#x20;

Create Github issue for feedback card.

#### Headers

| Name           | Type   | Description           |
| -------------- | ------ | --------------------- |
| Authentication | string | Authentication token. |

#### Request Body

| Name        | Type   | Description           |
| ----------- | ------ | --------------------- |
| cardId      | string | Feedback card id.     |
| issueNumber | string | Github issue  number. |

{% tabs %}
{% tab title="200 " %}

```
{
    "createdAt": "2020-05-15T09:34:48.411Z",
    "title": "feedback title",
    "body": "feedback body",
    "state": "req",
    "votes": 1,
    "id": "1234",
    "comments": 0,
    "author": {
        "avatarURL": "https://getacute.io/image.png",
        "fullName": "Author Name",
        "id": "1234"
    },
    "url": "https://app.getacute.io/feedback/1234",
    "githubIssueNumber": "1"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getacute.io/master.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
